Bug 19827 - checkuniquemember is exported from C4::Members but has been removed
Summary: checkuniquemember is exported from C4::Members but has been removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Zoe Bennett
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords: Academy
Depends on: 16909
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-18 14:43 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19827: Removing &checkuniquemember from the export in C4/Members.pm (699 bytes, patch)
2018-01-17 23:20 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19827: Removing &checkuniquemember from the export in C4/Members.pm (754 bytes, patch)
2018-01-26 21:13 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 19827: Removing &checkuniquemember from the export in C4/Members.pm (821 bytes, patch)
2018-01-29 16:47 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-18 14:43:10 UTC
C4/Members.pm:        &checkuniquemember

But bug 16909 removed this subroutine.
Comment 1 Zoe Bennett 2018-01-17 23:20:12 UTC
Created attachment 70652 [details] [review]
Bug 19827: Removing &checkuniquemember from the export in C4/Members.pm

Test Plan:
- Check that the line &checkuniquemember has been removed from the
export in C4/Members.pm
Comment 2 Roch D'Amour 2018-01-26 21:13:48 UTC
Created attachment 70983 [details] [review]
Bug 19827: Removing &checkuniquemember from the export in C4/Members.pm

Test Plan:
- Check that the line &checkuniquemember has been removed from the
export in C4/Members.pm

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Julian Maurice 2018-01-29 16:47:07 UTC
Created attachment 71029 [details] [review]
Bug 19827: Removing &checkuniquemember from the export in C4/Members.pm

Test Plan:
- Check that the line &checkuniquemember has been removed from the
export in C4/Members.pm

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2018-01-30 17:26:03 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-12 20:56:29 UTC
Awesome work all!

This patch has been pushed to 17.11.x and will be in 17.11.03